%define debug_package %{nil}
%define name lxsplit
%define sourcename lxsplit
%define version 0.1.1
%define RELEASE fc27
%define release    %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
                                                                                
Summary: LXSplit for Linux and Free-/OpenBSD.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Applications/Bash
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Source: http://www.freebyte.com/download/lxsplit.tar.gz
                                                                                
Vendor: Richard Stellingwerff
Packager: R.W.H. Vermare rene@vermare.net

%description
Command-line file splitter/joiner for Linux. Freeware, open-source, GPL.
Fully compatible with any HJSplit version!

%prep
%setup

%build
make 

%install
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
%{__strip} --strip-unneeded lxsplit

install -s -m 755 lxsplit $RPM_BUILD_ROOT/usr/local/bin

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files
/usr/local/bin

%changelog
* Tue Apr 17 2018 René Vermare <rene@vermare.net> - 0.1.1
- Repackage for armv7hl arch. (fc27) 

* Fri Jan 9 2015 René Vermare <rene@vermare.nl> - 0.1.1
- Package for armv7l arch. (fc20) 

* Tue Feb 22 2011 René Vermare <rene@vermare.nl> - 0.1.1
- Package for x86_64 arch. (fc14) 
